Last modified: 2013-11-19 12:36:23 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 18098 - MediaWiki:Globalblocking-block-intro should match MediaWiki:Blockiptext
MediaWiki:Globalblocking-block-intro should match MediaWiki:Blockiptext
Status: NEW
Product: MediaWiki extensions
Classification: Unclassified
GlobalBlocking (Other open bugs)
unspecified
All All
: Lowest enhancement with 1 vote (vote)
: ---
Assigned To: Nobody - You can work on this!
: easy, i18n
Depends on: 38367
Blocks: messages SWMT
  Show dependency treegraph
 
Reported: 2009-03-22 03:15 UTC by Mike.lifeguard
Modified: 2013-11-19 12:36 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Mike.lifeguard 2009-03-22 03:15:14 UTC
The form at Special:Block hides the other field when you use it - global blocking should do the same.

The local block form also has a dropdown of predefined block reasons - global blocking should do the same.

Please also match the default MediaWiki:Globalblocking-block-intro to MediaWiki:Blockiptext.
Comment 1 Andrew Garrett 2009-06-03 15:36:04 UTC
(In reply to comment #0)
> The form at Special:Block hides the other field when you use it - global
> blocking should do the same.

Reported separately at bug 18412.

Comment 2 Mike.lifeguard 2009-06-20 13:38:13 UTC
(In reply to comment #0)
> The local block form also has a dropdown of predefined block reasons - global
> blocking should do the same.

See bug 18413

> Please also match the default MediaWiki:Globalblocking-block-intro to
> MediaWiki:Blockiptext.
> 

Changing the summary to leave this as the only request for this bug.
Comment 3 Andrew Garrett 2009-07-03 12:41:50 UTC
Why should it match?
Comment 4 Mike.lifeguard 2009-07-03 23:12:47 UTC
(In reply to comment #3)
> Why should it match?
> 

Because these system messages differ only in whether the block is local or global? Of course I don't mean it should be an exact copy - it needs to say that the block will affect all wikis.

But for example, there's no mention of adhering to policy. This makes little difference for Wikimedia, since MediaWiki:Globalblocking-block-intro is only relevant at Meta, and I've already changed the message, but it might matter for third-party users. But as I say, it's utterly trivial.
Comment 5 Andrew Garrett 2009-07-16 16:47:49 UTC
Marking this bug as Lowest priority.

I've done this in a batch to (usually enhancement request) bugs where:
* It is not clear that this bug should be fixed.
* It is not clear how to fix this bug.
* There are difficulties or complications in fixing this bug, which are not justified by the importance of the bug.
* This is an extremely minor bug that could not be fixed in a few lines of code.

If you're interested in having one of these bugs fixed, your best bet is to write the patch yourself.
Comment 6 Nemo 2013-11-19 12:36:23 UTC
Adding many blockers of bug 38638 to the list of "easy" bugs, to mark them as candidates for [[mw:Google Code-in]] tasks (gci2013). If you think this bug is not suitable, remove the keyword.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links